//+------------------------------------------------------------------+
//|                                                       MA rsi.mq4 |
//|                                      Copyright  2006, Eli hayun |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Eli hayun"
#property link      ""

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 White
#property indicator_color2 Red
//---- input parameters
extern int       maPeriod=5;
extern int       maMethod=MODE_SMMA;
extern int       maPrice=PRICE_CLOSE;
extern int       rsiPeriod=20;
extern int       rsiLevel=50;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double direcao_ant = 0;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {

   int limit;
   int counted_bars=IndicatorCounted();
//---- check for possible errors
   if(counted_bars<0) return(-1);
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
//---- main loop
   for(int i=0; i<limit; i++)
     {
         double ma = iMA(NULL,0,maPeriod, 0, maMethod, maPrice, i);
         double rsi= iRSI(NULL, 0, rsiPeriod, maPrice, i);
         
         
         if (rsi >= rsiLevel)
         {
            ExtMapBuffer1[i] = ma;
         }
         else
         {
            ExtMapBuffer2[i] = ma;
         }
     }

   if (direcao_ant != 0)
   {    
      //Print("P1= "+ExtMapBuffer1[1]+"   p2= "+ExtMapBuffer2[1]);
      if((ExtMapBuffer1[1] < 50000) || (ExtMapBuffer2[1] < 50000))   
      {
        if ((ExtMapBuffer1[1] < 20000) && (ExtMapBuffer2[1] > 20000) && (direcao_ant != 1))
        {
          newsWrite(Symbol()+" BUY! "+tf()+" MA  go up "+Period());
          Print(Symbol()+"Sinal Buy"+direcao_ant);
          PlaySound("Buy.wav");        

          direcao_ant = 1;
        } // if ((ExtMapBuffer1[1] != EMPTY_VALUE) && (ExtMapBuffer2[1] == EMPTY_VALUE) && (direcao_ant != 1))
      
        if ((ExtMapBuffer2[1] < 20000) && (ExtMapBuffer1[1] > 20000) && (direcao_ant != 2))
        {
          newsWrite(Symbol()+" SELL! "+tf()+" MA go down  "+Period() + " Direcao = ");
          Print(Symbol()+"Sinal Sell"+direcao_ant);
          PlaySound("Sell.wav");        
          direcao_ant = 2;          
        } // if ((ExtMapBuffer2[1] != EMPTY_VALUE) && (ExtMapBuffer1[1] == EMPTY_VALUE) && (direcao_ant != 2))
      } // if((ExtMapBuffer1[1] != EMPTY_VALUE) && (ExtMapBuffer2[1] != EMPTY_VALUE))   
   } else // if (direcao_ant != 0)
   {
      if((ExtMapBuffer1[1] != EMPTY_VALUE) && (ExtMapBuffer2[1] != EMPTY_VALUE))   
      if ((ExtMapBuffer1[1] != EMPTY_VALUE) && (direcao_ant != 1))
      {
        direcao_ant = 1;
      }
      if ((ExtMapBuffer2[1] != EMPTY_VALUE) && (direcao_ant != 2))
      {
        direcao_ant = 2;
      }   
   }    // if (direcao_ant != 0)
   return(0);
  }
//+------------------------------------------------------------------+

void newsWrite(string texto)
{ 
 double handle10 = FileOpen("news.txt", FILE_CSV|FILE_WRITE, ";");            
 if (handle10 > 0) 
   {
     FileWrite(handle10, texto);     
  } 
 FileClose(handle10);
 return (0);
}

string tf()
{
   switch(Period())
   {
      case PERIOD_M1: return("M(1)");
      case PERIOD_M5: return("M(5)");
      case PERIOD_M15: return("M(15)");
      case PERIOD_M30: return("M(30)");
      case PERIOD_H1: return("H(1)");
      case PERIOD_H4: return("H(4)");
      case PERIOD_D1: return("D(1)");
      case PERIOD_W1: return("W(1)");
      case PERIOD_MN1: return("MN(1)");
      default:return("Unknown timeframe");
   }
}

